Skip to main content

Creating shares

To create a new share with another EnableNow customer, you can call our Sharing API endpoint using a POST request on:

Request Method: POST

https://api.enablenow.nl/shares

Request

You can create a share using a JSON object with given parameters below:

Examples of request are provided below this table

Property
Type
Availability
Description
clientId
string
Required
The shared EnableNow app identifier
expirationDateUtc
datetime
Required
The expiration date of this share (in UTC)
consentIds
UUID[]
Required
An array of EnableNow Consent identifiers
Optional if account and/or analysis identifiers are used
accountIds
UUID[]
Required
An array of EnableNow Account identifiers
Optional if consent and/or analysis identifiers are used
analysisIds
UUID[]
Required
An array of EnableNow Analysis identifiers
Optional if consent and/or account identifiers are used
reference
string
Optional
The external reference of this share

Example using ConsentIds

You can create a share by supplying a list of consent identifiers. These identifier are associated with the consents from users received from the AppScreen.

For instance, if you want to share the consent with identifier af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/shares
// application/json request body
{
"clientId": "en-app-ref-002",
"reference": "my-internal-reference-001",
"expirationDateUtc": "2026-04-30T12:00:00",
"consentIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef25"
]
}

Example using AccountIds

You can create a share by supplying a list of account identifiers. This is the unique identifier for an account in the system. See the section on managing accounts in the Account Information section.

For instance, if you want to share the account with identifier af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/shares
// application/json request body
{
"clientId": "en-app-ref-002",
"reference": "my-internal-reference-001",
"expirationDateUtc": "2026-04-30T12:00:00",
"accountIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef25"
]
}

Example using AnalysisIds

You can create a share by supplying a list of analysis identifiers. This is the unique identifier for an analysis in the system. See the section on managing accounts in the Introduction to Analsis.

For instance, if you want to share the analysis with identifier af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/shares
// application/json request body
{
"clientId": "en-app-ref-002",
"reference": "my-internal-reference-001",
"expirationDateUtc": "2026-04-30T12:00:00",
"analysisIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef25"
]
}

Example using multiple references

You can create a share by combining a list of consent-, account-, and analysis identifiers.

For instance, if you want to share using multiple references, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/shares
// application/json request body
{
"clientId": "en-app-ref-002",
"reference": "my-internal-reference-001",
"expirationDateUtc": "2026-04-30T12:00:00",
"consentIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef25",
"af86536d-34e3-4ebc-6c64-08db56ccef42"
]
"accountIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef45"
]
"analysisIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef74"
]
}

Response Model

Inside the data object, the share identifier is returned:

Property
Type
Availability
Description
id
UUID
Required
The unique EnableNow ID for this share.

Response Model example

{
"data": "53520156-8459-425b-3370-08de95423420"
}

Webhook

When a Share is created within EnableNow, a webhook event will be sent to the targeted EnableNow Customer/ App.
The receiving EnableNow Customer will need to configure the webhooks by following the steps explained on the page Webhooks.

The event that is sent is: 'databridge.share.created'.